<?php 
session_set_cookie_params(0);
session_start();

if(isset($_SESSION['inicio']))
{
	$codigo=$_SESSION['codigo'];
	$_SESSION['voy']='negativo';
}
else {
	session_destroy();
	header("Location:" . "http://ponderzone.com");
	}

function eliminar_tildes($cadena){

    //Codificamos la cadena en formato utf8 en caso de que nos de errores
    $cadena = utf8_encode($cadena);

    //Ahora reemplazamos las letras
    $cadena = str_replace(
        array('á', 'à', 'ä', 'â', 'ª', 'Á', 'À', 'Â', 'Ä'),
        array('a', 'a', 'a', 'a', 'a', 'A', 'A', 'A', 'A'),
        $cadena
    );

    $cadena = str_replace(
        array('é', 'è', 'ë', 'ê', 'É', 'È', 'Ê', 'Ë'),
        array('e', 'e', 'e', 'e', 'E', 'E', 'E', 'E'),
        $cadena );

    $cadena = str_replace(
        array('í', 'ì', 'ï', 'î', 'Í', 'Ì', 'Ï', 'Î'),
        array('i', 'i', 'i', 'i', 'I', 'I', 'I', 'I'),
        $cadena );

    $cadena = str_replace(
        array('ó', 'ò', 'ö', 'ô', 'Ó', 'Ò', 'Ö', 'Ô'),
        array('o', 'o', 'o', 'o', 'O', 'O', 'O', 'O'),
        $cadena );

    $cadena = str_replace(
        array('ú', 'ù', 'ü', 'û', 'Ú', 'Ù', 'Û', 'Ü'),
        array('u', 'u', 'u', 'u', 'U', 'U', 'U', 'U'),
        $cadena );

    $cadena = str_replace(
        array('ñ', 'Ñ', 'ç', 'Ç'),
        array('n', 'N', 'c', 'C'),
        $cadena
    );

    return $cadena;
}


require_once('../../Connections/odonto_connection1.php');

$query_rs_todos = "SELECT negocio FROM `mesas` WHERE codigo LIKE '$codigo' LIMIT 1";
$rs_ingreso0 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
$row_rs_ingreso0 = mysqli_fetch_assoc($rs_ingreso0);
$mesa=$row_rs_ingreso0['mesa'];
$negocio=$row_rs_ingreso0['negocio'];

if(isset($_GET['mensaje']) && $_GET['mensaje'] != '0')
{
	$mensaje=$_GET['mensaje'];
$query_rs_todos = "SELECT * FROM `mesas` WHERE codigo LIKE '$codigo' LIMIT 1";
$rs_ingreso0 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
$row_rs_ingreso0 = mysqli_fetch_assoc($rs_ingreso0);
$mesa=$row_rs_ingreso0['mesa'];
$negocio=$row_rs_ingreso0['negocio'];
$sucursal=$row_rs_ingreso0['sucursal'];
//$descripcion=$row_rs_ingreso0['descripcion'];
$mozo=$row_rs_ingreso0['mozo'];

$hora      = date("Y-m-d h:i");
$hora      = strtotime('-3 hour', strtotime($hora));
$hora      = date('Y-m-d h:i', $hora);
$aviso="Mozo en mesa ".$mesa;

require_once('../../Connections/odonto_connection1.php'); 
$query_rs_tabla2 = "INSERT INTO `avisos` (`id_avi`, `hora`, `latitud`, `longitud`, `negocio`, `sucursal`, `aviso`, `descrip`, `mozo`, `avisado`, `mensaje`, `puntaje`, `coment`, `sugerencias`) VALUES (NULL, CURRENT_TIMESTAMP, null, null, '$negocio', '$sucursal', '$aviso', NULL, '$mozo', '0', '$mensaje', '7', NULL, NULL);";
$rs_tabla1 = mysqli_query($odonto_connection, $query_rs_tabla2) or die(mysqli_error());
header("Location:" . "index0.php");
}

if(isset($_GET['carta']) && $_GET['carta'] == 1)
{
	
$query_rs_todos = "SELECT * FROM `mesas` WHERE codigo LIKE '$codigo' LIMIT 1";
$rs_ingreso0 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
$row_rs_ingreso0 = mysqli_fetch_assoc($rs_ingreso0);
$mesa=$row_rs_ingreso0['mesa'];
$negocio=$row_rs_ingreso0['negocio'];
$sucursal=$row_rs_ingreso0['sucursal'];
//$descripcion=$row_rs_ingreso0['descripcion'];
$mozo=$row_rs_ingreso0['mozo'];

$hora      = date("Y-m-d h:i");
$hora      = strtotime('-3 hour', strtotime($hora));
$hora      = date('Y-m-d h:i', $hora);
$aviso="Carta en mesa ".$mesa;

require_once('../../Connections/odonto_connection1.php'); 
$query_rs_tabla2 = "INSERT INTO `avisos` (`id_avi`, `hora`, `latitud`, `longitud`, `negocio`, `sucursal`, `aviso`, `descrip`, `mozo`, `avisado`, `mensaje`, `puntaje`, `coment`, `sugerencias`) VALUES (NULL, CURRENT_TIMESTAMP, null, null, '$negocio', '$sucursal', '$aviso', NULL, '$mozo', '0', '$mensaje', '7', NULL, NULL);";
$rs_tabla1 = mysqli_query($odonto_connection, $query_rs_tabla2) or die(mysqli_error());
header("Location:" . "index0.php");
}

if(isset($_GET['cuenta']) && $_GET['cuenta'] == 1 )
{
$query_rs_todos = "SELECT * FROM `mesas` WHERE codigo LIKE '$codigo' LIMIT 1";
$rs_ingreso0 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
$row_rs_ingreso0 = mysqli_fetch_assoc($rs_ingreso0);
$mesa=$row_rs_ingreso0['mesa'];
$negocio=$row_rs_ingreso0['negocio'];
$sucursal=$row_rs_ingreso0['sucursal'];
//$descripcion=$row_rs_ingreso0['descripcion'];
$mozo=$row_rs_ingreso0['mozo'];

$hora      = date("Y-m-d h:i");
$hora      = strtotime('-3 hour', strtotime($hora));
$hora      = date('Y-m-d h:i', $hora);
$aviso="Cuenta en mesa ".$mesa;

require_once('../../Connections/odonto_connection1.php'); 
$query_rs_tabla2 = "INSERT INTO `avisos` (`id_avi`, `hora`, `latitud`, `longitud`, `negocio`, `sucursal`, `aviso`, `descrip`, `mozo`, `avisado`, `mensaje`, `puntaje`, `coment`, `sugerencias`) VALUES (NULL, CURRENT_TIMESTAMP, null, null, '$negocio', '$sucursal', '$aviso', NULL, '$mozo', '0', '$mensaje', '7', NULL, NULL);";
$rs_tabla1 = mysqli_query($odonto_connection, $query_rs_tabla2) or die(mysqli_error());
header("Location:" . "index0.php");
}

if(isset($_GET['comentarios']) && $_GET['comentarios'] != '0')
{
	$comentarios=$_GET['comentarios'];
	$puntaje=$_GET['puntaje'];
$query_rs_todos = "SELECT * FROM `mesas` WHERE codigo LIKE '$codigo' LIMIT 1";
$rs_ingreso0 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
$row_rs_ingreso0 = mysqli_fetch_assoc($rs_ingreso0);
$mesa=$row_rs_ingreso0['mesa'];
$negocio=$row_rs_ingreso0['negocio'];
$sucursal=$row_rs_ingreso0['sucursal'];
//$descripcion=$row_rs_ingreso0['descripcion'];
$mozo=$row_rs_ingreso0['mozo'];

$hora      = date("Y-m-d h:i");
$hora      = strtotime('-3 hour', strtotime($hora));
$hora      = date('Y-m-d h:i', $hora);
$aviso="Comentario en mesa ".$mesa;


require_once('../../Connections/odonto_connection1.php'); 
$query_rs_tabla2 = "INSERT INTO `avisos` (`id_avi`, `hora`, `latitud`, `longitud`, `negocio`, `sucursal`, `aviso`, `descrip`, `mozo`, `avisado`, `mensaje`, `puntaje`, `coment`, `sugerencias`) VALUES (NULL, CURRENT_TIMESTAMP, null, null, '$negocio', '$sucursal', '$aviso', NULL, '$mozo', '0', NULL, '$puntaje', '$comentarios', NULL);";
$rs_tabla1 = mysqli_query($odonto_connection, $query_rs_tabla2) or die(mysqli_error());

header("Location:" . "index0.php");
}

if(isset($_GET['suge']) && $_GET['suge'] != '0')
{
	$suge=$_GET['suge'];

	$query_rs_todos = "SELECT * FROM `mesas` WHERE codigo LIKE '$codigo' LIMIT 1";
$rs_ingreso0 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
$row_rs_ingreso0 = mysqli_fetch_assoc($rs_ingreso0);
$mesa=$row_rs_ingreso0['mesa'];
$negocio=$row_rs_ingreso0['negocio'];
$sucursal=$row_rs_ingreso0['sucursal'];
//$descripcion=$row_rs_ingreso0['descripcion'];
$mozo=$row_rs_ingreso0['mozo'];

$hora      = date("Y-m-d h:i");
$hora      = strtotime('-3 hour', strtotime($hora));
$hora      = date('Y-m-d h:i', $hora);
$aviso="Sugerencias en mesa ".$mesa;

require_once('../../Connections/odonto_connection1.php'); 
$query_rs_tabla2 = "INSERT INTO `avisos` (`id_avi`, `hora`, `latitud`, `longitud`, `negocio`, `sucursal`, `aviso`, `descrip`, `mozo`, `avisado`, `mensaje`, `puntaje`, `coment`, `sugerencias`) VALUES (NULL, CURRENT_TIMESTAMP, null, null, '$negocio', '$sucursal', '$aviso', NULL, '$mozo', '0', NULL, '7', NULL , '$suge');";
$rs_tabla1 = mysqli_query($odonto_connection, $query_rs_tabla2) or die(mysqli_error());
header("Location:" . "index0.php");
}
?>
  
<!DOCTYPE HTML>
<html>
<head>
<meta charset="UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>PonderZone</title>

<?php require_once('../../inc/bootstrap.php');?>


<link rel="stylesheet" href="estilos_mgp.css" />

<link href='https://fonts.googleapis.com/css?family=Handlee' rel='stylesheet'>

<style>

<?php require_once("../../inc/css_warn.php");?>

#loadingmsg {
      color: darkblue;
	  font-size:1.8rem;
      background: #fff; 
      padding: 10px;
      position: fixed;
      top: 50%;
      left: 5%;
      z-index: 100;
      margin-right: -25%;
      margin-bottom: -25%;
      }

	  .btn-circle.btn-xl{
		  width:100%;
		  border-radius:25px;
		  padding: 5px 16px;
		  text-align: center;
	  }
	  
	  .btn-circle1.btn-xl{
		  width:100%;
		  border-radius:15px;
		  padding: 10px 10px;
		  text-align: center;
	  }
</style>

<script type="text/javascript">

function showUser(str) {
<?php 
require_once('../../Connections/odonto_connection1.php'); 

$query_rs_todos = "SELECT informacion FROM informaciones WHERE negocio = '$negocio' AND informacion != '' AND ver LIKE 'si' LIMIT 1";
$rs_ingreso_info = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
$row_rs_ingreso_info = mysqli_fetch_assoc($rs_ingreso_info);
$info = $row_rs_ingreso_info['informacion'];

$query_rs_todos = "SELECT mensaje FROM mesas WHERE codigo = '$codigo' AND mensaje != '' AND ver LIKE 'si' LIMIT 1";
$rs_ingreso = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
$row_rs_ingreso = mysqli_fetch_assoc($rs_ingreso);
//$cant_original= mysqli_num_rows($rs_ingreso);
$msj = $row_rs_ingreso['mensaje'];

?>	

	var msj = "<?php echo $msj;?>";
	var info = "<?php echo $info;?>";
	var codigo = "<?php echo $codigo;?>";
	var negocio = "<?php echo $negocio;?>";
	//alert(info);
	
	if (str == "") {
        document.getElementById("txtHint").innerHTML = "";
        return;
    } else { 
        if (window.XMLHttpRequest) {
            // code for IE7+, Firefox, Chrome, Opera, Safari
            xmlhttp = new XMLHttpRequest();
        } else {
            // code for IE6, IE5
            xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
        }
        xmlhttp.onreadystatechange = function() {
            if (this.readyState == 4 && this.status == 200) {
                document.getElementById("txtHint").innerHTML = this.responseText;
				var vemos = this.responseText;
				if(vemos == "uno"){
						//alert(vemos);
						myFunction();
				}
		}
        };
        //xmlhttp.open("GET","getuser.php?q="+str,true);
        xmlhttp.open("GET","./getuser_index0.php?msj="+msj+"&codigo="+codigo+"&info="+info+"&negocio="+negocio,true);
        xmlhttp.send();

			
    }
	
}

	function myFunction() {
	  window.open("index0.php" , '_parent');
	}


	function myFunction0(bot) {
		var bot;
		var id_numerico = bot+'_numerico';
		var item = document.getElementById(id_numerico);
		var  child=document.createElement("div");
		child.id= id_numerico;
		child.innerHTML = "<div class='spinner-border' style='color:#fff;position:relative;left:50%;top:-1rem;font-size:1rem'></div>";
		item.appendChild(child);
		
		window.open("./auxi_warn0.php?suge=1&boton="+bot,"_parent");
	
	}
	

</script>
</head>
<body onload="setInterval('showUser()',2000)">
</div>
<div class="container">

<small class"form-text text-muted text-center" style="color:white" id="demo"></small>
<?php

if(isset($_SESSION['codigo'])){

$codigo=$_SESSION['codigo'];
$query_rs_todos = "SELECT * FROM `mesas` WHERE codigo LIKE '$codigo' LIMIT 1";
$rs_ingreso0 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
$row_rs_ingreso0 = mysqli_fetch_assoc($rs_ingreso0);
$mesa=$row_rs_ingreso0['mesa'];
$negocio=$row_rs_ingreso0['negocio'];


$query_rs_todos = "SELECT nombre FROM `datos` WHERE negocio LIKE '$negocio'";
$rs_ingreso5 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
$row_rs_ingreso5 = mysqli_fetch_assoc($rs_ingreso5);
$colorfondo = '#000';
$colorletra = '#fff';
echo "<div class='row' style='background-color:$colorfondo'>";
echo "<div class='col-10'>";
echo "<font style='font-size:1.6rem;color:$colorletra'>";

$link_imagen = "fondos/".$negocio."/logo_pequenio.jpeg";
if(file_exists($link_imagen)) echo "<img src=$link_imagen style='width:15%'>";
else echo "<i class='fas fa-home'></i>";

echo " ".$row_rs_ingreso5['nombre'];
echo "</b></font>";
echo "</div>";

echo "<div class='col-2'>";
//echo "Mesa: ".$mesa." ";
echo "<a href='auxi_warn.php?deslog=1'><font style='font-size:1.6rem;color:$colorletra'><b><span class='iconify' data-icon='oi:account-logout' data-inline='false'></span></font></a>";
echo "</div>";
echo "</div>";

}

$query_rs_todos = "SELECT * FROM `mesas` WHERE codigo LIKE '$codigo' LIMIT 1";
$rs_ingreso02 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
$row_rs_ingreso02 = mysqli_fetch_assoc($rs_ingreso02);
$negocio=$row_rs_ingreso02['negocio'];
$sucursal=$row_rs_ingreso02['sucursal'];
?>

<div class="row">
<div class="col-12">
</div>
</div>


<div class="row">
<div class="col-12">
<br>
<br>
</div>
</div>


<div class="row">
<div class="col-12">
<button type="button" class="btn btn-outline-light btn-circle1 btn-xl" style="height:4rem;font-size:1.1rem;color:white" name="servicio" onclick="myFunction0(4)"><i class='fas fa-user-edit'></i> <b>Calificanos</b></button><div id='4_numerico'></div>
</div>
</div>
<br>
<div class="row">
<div class="col-12">
<button type="button" class="btn btn-outline-light btn-circle1 btn-xl text-white" style="height:4rem;font-size:1.1rem" name="sugerencias" onclick="myFunction0(5)"><i class='fas fa-envelope-open-text'></i> <b>Sugerinos</b></button><div id='5_numerico'></div>
</div>
</div>
<br>
<div class="row">
<div class="col-12">
<button type="button" class="btn btn-outline-light btn-circle1 btn-xl" style="height:4rem;font-size:1.1rem;color:white" name="sugerencias" onclick="myFunction0(7)"><i class='fas fa-chevron-left'></i> <b>Inicio</b></button><div id='7_numerico'></div>
</div>
</div>

<br>
<div class="row text-right">
<div class="col-12">

</div>
</div>

<br>
<br>
<div class="row text-right">
<div class="col-12">

	<div class='container text-center'>
		<font style='font-size:0.8rem;color:white;background-color:black'><b>Powered by PONDERZONE SYSTEMS</b></font>
	</div>
</div>
</div>

<?php 
//if ($logo == '1') echo "<img src='logos/".$negocio.".jpg'/>";

?>
<div id="number" style="color:white"></div>
<?php 
/*echo $_SESSION['inicio'];
echo "<br>";
echo $_SESSION['codigo'];
echo "<br>";
echo $_SESSION['hash'];
echo "<br>";
*/
//$horaInicio = new DateTime($_SESSION['inicio']);
//$horaTermino = new DateTime($timer);
//$interval = $horaInicio->diff($horaTermino);
//echo $interval->format('%h %i %s');
//echo phpinfo();
?></div>
<div id="txtHint" style="color:white;font-size:2rem;visibility:hidden">
</div>
<?php /*
echo "<input type='text' class='form-control text-center";
if(isset($_SESSION['inicio'])){echo "visible";}
echo "' id='codigo' name='codigo' aria-label='Default' aria-describedby='inputGroup-sizing-default' style='height:3rem;font-size:1.5rem' placeholder='Codigo PonderZone' required='true' ";
if(isset($_SESSION['inicio'])){echo "value=".$codigo;}
echo "></input>";
*/
?> 
</div>


</body>
</html>